Bug 9680 - rnews doesn't retry batch if server returns "436 Retry later" in response to "ihave"
Summary: rnews doesn't retry batch if server returns "436 Retry later" in response to ...
Status: CLOSED RAWHIDE
Alias: None
Product: Red Hat Linux
Classification: Retired
Component: inn   
(Show other bugs)
Version: 6.1
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Florian La Roche
QA Contact:
URL:
Whiteboard:
Keywords:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2000-02-22 17:10 UTC by Jonathan Kamens
Modified: 2008-05-01 15:37 UTC (History)
0 users

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2000-05-23 10:01:55 UTC
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
rnews should detect code 436 in response to "ihave" command (335 bytes, patch)
2000-02-22 17:13 UTC, Jonathan Kamens
no flags Details | Diff

Description Jonathan Kamens 2000-02-22 17:10:18 UTC
If the NNTP server returns code 436 to rnews in response to an "article"
command, rnews correctly concludes that the batch needs to be retried
later.  However, it does *not* do this if the 436 code is returned in
response to the "ihave" command, and this could cause articles to be lost.
I'm going to attach a patch which fixes this.  This patch should be
submitted back to the INN maintainers.

Comment 1 Jonathan Kamens 2000-02-22 17:13:59 UTC
Created attachment 128 [details]
rnews should detect code 436 in response to "ihave" command

Comment 2 Florian La Roche 2000-05-22 13:04:59 UTC
reported this bug to inn-bugs@isc.org

Comment 3 Cristian Gafton 2000-05-22 15:48:59 UTC
assign to laroche

Comment 4 Florian La Roche 2000-05-23 10:01:59 UTC
bugfix should be in current cvs


Note You need to log in before you can comment on or make changes to this bug.